Skip to main content
PATCH
/
public
/
v1
/
campaign-service
/
json-templates
/
{json-template-id}
Update Json Template
curl --request PATCH \
  --url https://api.topsort.com/public/v1/campaign-service/json-templates/{json-template-id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "previewScreenshot": "<string>",
  "previewUrl": "<string>",
  "jsonSchema": {}
}
'
import requests

url = "https://api.topsort.com/public/v1/campaign-service/json-templates/{json-template-id}"

payload = {
"name": "<string>",
"description": "<string>",
"previewScreenshot": "<string>",
"previewUrl": "<string>",
"jsonSchema": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
previewScreenshot: '<string>',
previewUrl: '<string>',
jsonSchema: {}
})
};

fetch('https://api.topsort.com/public/v1/campaign-service/json-templates/{json-template-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "jsonSchema": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "isArchived": false,
  "previewScreenshot": "<string>",
  "previewUrl": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Path Parameters

json-template-id
string<uuid>
required

JSON template ID to update.

Body

application/json
name
string | null

Unique name of the JSON template

Required string length: 1 - 50
description
string | null

Description of the JSON template

Required string length: 1 - 100
previewScreenshot
string<uri> | null

Preview screenshot of the JSON template

Required string length: 1 - 2083
previewUrl
string<uri> | null

Preview URL of the JSON template

Required string length: 1 - 2083
jsonSchema
Jsonschema · object | null

The JSON schema of the JSON template

Response

Successful Response

id
string<uuid>
required

The ID of the JSON template

marketplaceId
string<uuid>
required

The ID of the marketplace

name
string
required

The name of the JSON template

description
string
required

The description of the JSON template

jsonSchema
Jsonschema · object
required

The JSON schema of the JSON template

createdAt
string<date-time>
required

The creation time of the JSON template

updatedAt
string<date-time>
required

The update time of the JSON template

adFormat
enum<string>
required

The ad format of the JSON template

Available options:
banner,
sponsored_brand
isArchived
boolean
default:false

Whether the JSON template is archived

previewScreenshot
string<uri> | null

Preview screenshot of the JSON template

Required string length: 1 - 2083
previewUrl
string<uri> | null

Preview URL of the JSON template

Required string length: 1 - 2083